Subject: Re: [sfc] #4 (nsh): Reuse the IPFIX registry for identifying context types

From: <[email-masked]>
Date: Thu, 14 Apr 2016 11:56:06 +0000

Paul, Uri,

I disagree with closing this issue. 

I don't think it is a good approach to ignore comments. There was a discussion with Uri with no follow-up from your side: see https://www.ietf.org/mail-archive/web/sfc/current/msg04187.html. I'm reproducing what was discussed in that thread:

==
>> Ticket #4: Reuse the IPFIX registry for identifying context types 
[UE] Can you pls provide examples of using the IPFIX format, that are contained in a reasonable size (to me that means few bytes). 
[Med] The proposal is not about reusing the IPFIX format, but IPFIX registry. The TLV format as described in the nsh draft will be used. With the approach I’m proposing here: 
•	if you need to include a FlowID, you just need to set the registry ID to 1, and the type to 14.
•	If you need to include a vlandID, you just need to set the registry ID to 1, and the type to 58.
•	..

The advantage of this approach is that you don’t need to for IANA to assign a code point. You just make you shop form the existing (rich) registry. Other Registries can be defined in the specification, if needed.
==

While I already provided this clarification 

==
[Med] The advantage I see in reusing an existing registry is to avoid
waiting for codepoint assignments for NEW metadata needed for a given
service deployment. My proposal is to define a dedicated field in the
context header "Registry ID":

       Registry ID:  In order to foster service innovation, this field
          allows to inherit from existing code point registries that are
          likely to be useful in a SFC context.  The following value is
          reserved by this specification:
          0:  None.
          1:  IPFIX [IPFIX].

Some bits of the current TLV class can be grabbed for the Registry ID.
==

Cheers,
Med

> -----Message d'origine-----
> De : sfc issue tracker [mailto:[email-masked]]
> Envoyé : vendredi 26 février 2016 22:42
> À : [email-masked]; BOUCADAIR Mohamed IMT/OLN;
> [email-masked]
> Cc : [email-masked]
> Objet : Re: [sfc] #4 (nsh): Reuse the IPFIX registry for identifying
> context types
> 
> #4: Reuse the IPFIX registry for identifying context types
> 
> Changes (by [email-masked]):
> 
>  * status:  new => closed
>  * resolution:   => wontfix
> 
> 
> Comment:
> 
>  Reply:  The 400+ IPFIX information elements were created for a protocol
>  for IP Flow Information Export, and thus it would not be optimal to reuse
>  as there are many unneeded things. Consensus seems to want to prioritize
>  precision over blind reuse.  I do not plan to update the draft and
> suggest
>  that this item be marked as resolved in the tracker.
> 
> --
> -------------------------------------+------------------------------------
> -
>  Reporter:                           |       Owner:  draft-ietf-sfc-
>   [email-masked]       |  [email-masked]
>      Type:  defect                   |      Status:  closed
>  Priority:  major                    |   Milestone:
> Component:  nsh                      |     Version:
>  Severity:  -                        |  Resolution:  wontfix
>  Keywords:                           |
> -------------------------------------+------------------------------------
> -
> 
> Ticket URL: <https://trac.tools.ietf.org/wg/sfc/trac/ticket/4#comment:2>
> sfc <https://tools.ietf.org/sfc/>